Bug 807318 - [ovirt] [engine-core] change CD timeout should be lower then 3 minutes
[ovirt] [engine-core] change CD timeout should be lower then 3 minutes
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: lpeer
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 09:46 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 05:42:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-03-27 09:46:46 EDT
Description of problem:

- have a vm running with CD attached
- block connection from SPM host to ISO domain
- run change CD command on that vm, chose an ISO and click OK
- change CD window is stuck for 3 minutes since its an async task


2012-03-27 15:09:05,151 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsoPrefixVDSCommand] (http--0.0.0.0-8080-6) [2f0d1553] START, IsoPrefixVDSCommand(storagePoolId = 552256b8-3266-4930-9d13-f9c7ff636f35, ignoreFailoverLimit = false, compatabilityVersion = null), log id: 53b3b00c
2012-03-27 15:09:36,177 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsoPrefixVDSCommand] (http--0.0.0.0-8080-6) [2f0d1553] FINISH, IsoPrefixVDSCommand, return: /rhev/data-center/552256b8-3266-4930-9d13-f9c7ff636f35/2612f0b2-8310-4d1f-adba-b708eb95f5cf/images/11111111-1111-1111-1111-111111111111, log id: 53b3b00c
2012-03-27 15:09:36,268 INFO  [org.ovirt.engine.core.bll.ChangeDiskCommand] (http--0.0.0.0-8080-6) [2f0d1553] Running command: ChangeDiskCommand internal: false. Entities affected :  ID: 6b29fe00-90b1-4dcd-89c4-de64bca2c082 Type: VM
2012-03-27 15:09:36,274 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ChangeDiskVDSCommand] (http--0.0.0.0-8080-6) [2f0d1553] START, ChangeDiskVDSCommand(vdsId = fec2f7b6-71db-11e1-8631-9b877a97bb15, vmId=6b29fe00-90b1-4dcd-89c4-de64bca2c082, diskPath=/rhev/data-center/552256b8-3266-4930-9d13-f9c7ff636f35/2612f0b2-8310-4d1f-adba-b708eb95f5cf/images/11111111-1111-1111-1111-111111111111/en_windows_7_enterprise_x64_dvd_x15-70749.iso), log id: 2cf8f821
2012-03-27 15:12:36,277 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerCommand] (http--0.0.0.0-8080-6) [2f0d1553] XML RPC error in command ChangeDiskVDS ( Vds: nott-vds2.qa.lab.tlv.redhat.com ), the error was: java.util.concurrent.TimeoutException, TimeoutException:  
2012-03-27 15:12:36,278 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ChangeDiskVDSCommand] (http--0.0.0.0-8080-6) [2f0d1553] FINISH, ChangeDiskVDSCommand, log id: 2cf8f821
2012-03-27 15:12:36,278 ERROR [org.ovirt.engine.core.bll.ChangeDiskCommand] (http--0.0.0.0-8080-6) [2f0d1553] Command org.ovirt.engine.core.bll.ChangeDiskCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: VDSNetworkException: 
2012-03-27 15:12:36,282 ERROR [org.ovirt.engine.core.bll.ChangeDiskCommand] (http--0.0.0.0-8080-6) [2f0d1553] Transaction rolled-back for command: org.ovirt.engine.core.bll.ChangeDiskCommand.
Comment 1 Itamar Heim 2012-12-12 05:42:43 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.